Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.construct.builder
Class AbstractFlowConstructBuilder<T extends AbstractFlowConstructBuilder,F extends AbstractFlowConstruct>

    java.lang.Object
      org.mule.construct.builder.AbstractFlowConstructBuilder<T,F>

Direct Known Subclasses:
  AbstractFlowConstructWithSingleOutboundEndpointBuilder, SimpleServiceBuilder

    public abstract class AbstractFlowConstructBuilder<T extends AbstractFlowConstructBuilder,F extends AbstractFlowConstruct>

extends Object

Field Summary
`protected List<MessageProcessor>` | `inboundResponseTransformers`
`protected List<MessageProcessor>` | `inboundTransformers`
`protected String` | `name`

Constructor Summary
`AbstractFlowConstructBuilder()`

Method Summary
`protected void` | `addExceptionListener(AbstractFlowConstruct flowConstruct)`
`F` | `build(MuleContext muleContext)`
`protected abstract F` | `buildFlowConstruct(MuleContext muleContext)`
`protected void` | `doConfigureInboundEndpointBuilder(MuleContext muleContext, EndpointBuilder endpointBuilder)`
`T` | `exceptionStrategy(MessagingExceptionHandler exceptionListener)`
`protected abstract MessageExchangePattern` | `getInboundMessageExchangePattern()`
`protected InboundEndpoint` | `getOrBuildInboundEndpoint(MuleContext muleContext)`
`T` | `inboundAddress(String inboundAddress)`
`T` | `inboundEndpoint(EndpointBuilder inboundEndpointBuilder)`
`T` | `inboundEndpoint(InboundEndpoint inboundEndpoint)`
`T` | `name(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### inboundTransformers

    protected List<MessageProcessor> inboundTransformers

### inboundResponseTransformers

    protected List<MessageProcessor> inboundResponseTransformers

Constructor Detail

### AbstractFlowConstructBuilder

    public AbstractFlowConstructBuilder()

Method Detail

### name

    public T name(String name)

### exceptionStrategy

    public T exceptionStrategy(MessagingExceptionHandler exceptionListener)

### inboundEndpoint

    public T inboundEndpoint(InboundEndpoint inboundEndpoint)

### inboundEndpoint

    public T inboundEndpoint(EndpointBuilder inboundEndpointBuilder)

### inboundAddress

    public T inboundAddress(String inboundAddress)

### build

    public F build(MuleContext muleContext)
                                          throws MuleException

  Throws:
    `MuleException`

### buildFlowConstruct

    protected abstract F buildFlowConstruct(MuleContext muleContext)
                                                                   throws MuleException

  Throws:
    `MuleException`

### addExceptionListener

    protected void addExceptionListener(AbstractFlowConstruct flowConstruct)

### getOrBuildInboundEndpoint

    protected InboundEndpoint getOrBuildInboundEndpoint(MuleContext muleContext)
                                                 throws MuleException

  Throws:
    `MuleException`

### getInboundMessageExchangePattern

    protected abstract MessageExchangePattern getInboundMessageExchangePattern()

### doConfigureInboundEndpointBuilder

    protected void doConfigureInboundEndpointBuilder(MuleContext muleContext,
                                                     EndpointBuilder endpointBuilder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.